Bug 626004 - Review Request: osm2pgsql - Imports map data from OpenStreetMap to a PostgreSQL database
Review Request: osm2pgsql - Imports map data from OpenStreetMap to a PostgreS...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-21 08:36 EDT by Fabian Affolter
Modified: 2012-11-18 16:45 EST (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-18 16:45:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
modified patch so osm2pgsql finds default.style (1.17 KB, patch)
2011-06-27 07:14 EDT, Roy Rankin
no flags Details | Diff

  None (edit)
Description Fabian Affolter 2010-08-21 08:36:41 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/osm2pgsql.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/osm2pgsql-0-0.1.20100821svn.fc13.src.rpm

Project URL: http://wiki.openstreetmap.org/wiki/Osm2pgsql

Description:
Processes the planet file from the community mapping project at
http://www.openstreetmap.org. The map data is converted from XML to a
database stored in PostgreSQL with PostGIS geospatial extensions. This
database may then be used to render maps with Mapnik or for other
geospatial analysis.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2416108

rpmlint output:
[fab@laptop011 SRPMS]$ rpmlint osm2pgsql-0-0.1.20100821svn.fc13.src.rpm 
osm2pgsql.src: W: spelling-error %description -l en_US geospatial -> hyperspatial, geostatic, spatial
osm2pgsql.src: W: invalid-url Source0: osm2pgsql-20100821svn.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[fab@laptop011 x86_64]$ rpmlint osm2pgsql*
osm2pgsql.x86_64: W: spelling-error %description -l en_US geospatial -> hyperspatial, geostatic, spatial
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 1 Ralph Lange 2010-09-03 14:39:07 EDT
I was having a look at your package, here's the short list of issues that I see:

- The sources show (configure.ac) osm2pgsql claims to be at Version 0.69 - this is also reported by the program itself. There's also a .spec.in file (from 2008) in the sources that uses Version 0.69 and Release 1.%{svn_ver}. So maybe consider changing your package version numbers to Version: 0.69 and Release: 1.1.%{svn_ver}svn%{?dist} to keep version numbers monotone.

- The mock build shows two warnings that might be worthwhile fixing and/or reporting to upstream:
  configure: WARNING: unrecognized options: --disable-dependency-tracking
and:
  osm2pgsql.c: In function 'main':
  osm2pgsql.c:818:28: warning: assignment from incompatible pointer type

- The program is supposed to report its version as %{version}-%{svn_ver}, but the latter string is empty - that might also be worth fixing and sending upstream.

- As the license is not included as text, the Guidelines suggest pointing this out to upstream and asking them to correct this mistake.
Comment 2 Martin Gieseking 2010-09-04 07:42:05 EDT
(In reply to comment #1)
> - The sources show (configure.ac) osm2pgsql claims to be at Version 0.69 - this
> is also reported by the program itself. 

Good catch. I agree that the Version field should reflect the complete version of the utility.


> Release: 1.1.%{svn_ver}svn%{?dist} to keep version numbers monotone.

Since there's no officially released source tarball on the upstream website, this package is considered a "snapshot release". Such packages must follow the numbering scheme described at
http://fedoraproject.org/wiki/PackageNamingGuidelines#PreReleasePackages

Thus, the current Release tag is OK.


>   configure: WARNING: unrecognized options: --disable-dependency-tracking
> and:
>   osm2pgsql.c: In function 'main':
>   osm2pgsql.c:818:28: warning: assignment from incompatible pointer type

These seem to be minor issues that don't affect the functionality of the program. However, they should of course be investigated by the upstream developer. 


Here are some more comments on the spec file:

- replace %define with %global (see https://fedoraproject.org/wiki/PackagingDrafts/global_preferred_over_define)

- you can drop the --prefix option from %configure (--prefix=%{_prefix} is
  already part of the %configure macro)

- I recommend to be more specific in %files as there's only a single manpage
  to add: %{_mandir}/man1/osm2pgsql.1*
Comment 3 Jon Burgess 2010-10-02 10:04:48 EDT
(In reply to comment #2)
> (In reply to comment #1)
> >   configure: WARNING: unrecognized options: --disable-dependency-tracking
> > and:
> >   osm2pgsql.c: In function 'main':
> >   osm2pgsql.c:818:28: warning: assignment from incompatible pointer type
> 
> These seem to be minor issues that don't affect the functionality of the
> program. However, they should of course be investigated by the upstream
> developer. 

Hi. I'm the main upstream author for osm2pgsql. I just committed a fix for that warning in r23440 of the osm2pgsql SVN code.

> - The program is supposed to report its version as %{version}-%{svn_ver}, but
> the latter string is empty - that might also be worth fixing and sending
> upstream.

In the upstream version the Makefile generates this via $(shell svnversion) but the SVN metadata is discarded in the 'svn export' step. How about putting this in the osm2pgsql.spec:

make %{?_smp_mflags} SVN=%{svn_ver}

This ends up being reported like:
$ /usr/bin/osm2pgsql -v
osm2pgsql SVN version 0.69-20101002

Alternative you could put %{release} in there. The purpose of this string is to help myself and other developers keep track of which revision/snapshot someone has used, anything which can be tracked back to a specific source version is sufficient.

> - As the license is not included as text, the Guidelines suggest pointing 
> this out to upstream and asking them to correct this mistake.

What do you want here, a copy of the GPL COPYING file added into the osm2pgsql SVN tree? I can do that if you want.
Comment 4 Martin Gieseking 2010-10-03 14:34:04 EDT
(In reply to comment #3)
> the SVN metadata is discarded in the 'svn export' step. How about putting this
> in the osm2pgsql.spec:
> 
> make %{?_smp_mflags} SVN=%{svn_ver}

This addition shouldn't be a problem.


> What do you want here, a copy of the GPL COPYING file added into the osm2pgsql
> SVN tree?

Yes, please add file COPYING containing the GPLv2 license text to the SVN repo, and also include it in future source tarballs of officially released versions. 
Your source file headers also refer to it: "You should have received a copy of the GNU General Public License along with this program".
Comment 5 Devrim GÜNDÜZ 2010-10-03 19:55:58 EDT
It is not PostgresSQL -- It is PostgreSQL. Could you please fix it in spec, too?
Comment 6 viji 2010-11-17 05:15:28 EST
Any update on this?
Comment 7 Fabian Affolter 2011-01-05 04:10:48 EST
Sorry, no update at the moment because I'm busy with other things.
Comment 8 Fabian Affolter 2011-03-27 08:53:27 EDT
* Sun Mar 27 2011 Fabian Affolter <fabian@bernewireless.net> - 0.70.5-0.3.20110327svn
- Build with svn checkout detail as version information
- Remove gazetteer stuff, Patch for configure.ac and Makefile.am 
- Updated to new checkout

* Tue Nov 23 2010 Fabian Affolter <fabian@bernewireless.net> - 0-0.2.20101124svn
- Typo fixed in summary
- Prefix removed 
- Doc updated
- Replaced define

Updated files:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/osm2pgsql.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/osm2pgsql-0.70.5-0.3.20110327svn.fc14.src.rpm

rpmlint output:
[fab@laptop023 SRPMS]$ rpmlint osm2pgsql-0.70.5-0.3.20110327svn.fc14.src.rpm 
osm2pgsql.src: W: spelling-error %description -l en_US geospatial -> hyperspatial, geostatic, spatial
osm2pgsql.src: W: invalid-url Source0: osm2pgsql-20110327svn.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[fab@laptop023 x86_64]$ rpmlint osm2pgsql*
osm2pgsql.x86_64: W: spelling-error %description -l en_US geospatial -> hyperspatial, geostatic, spatial
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 9 Mario Blättermann 2011-05-08 10:04:20 EDT
Koji scratch build was not successful for F15:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3058186

From build.log:

autoreconf: running: aclocal -I m4 --output=aclocal.m4t
Can't exec "aclocal": Permission denied at /usr/share/autoconf/Autom4te/FileUtils.pm line 326.
autoreconf: failed to run aclocal: Permission denied
error: Bad exit status from /var/tmp/rpm-tmp.xZSPvl (%build)


Same problem in F16:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3058191
Comment 10 Fabian Affolter 2011-06-25 06:57:22 EDT
Thanks Mario for your comment.

* Sat Jun 25 2011 Fabian Affolter <fabian@bernewireless.net> - 0.70.5-0.4.20110327svn
- Fix autotool issue (osm2pgsql-configure.patch updated)

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/osm2pgsql.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/osm2pgsql-0.70.5-0.4.20110327svn.fc15.src.rpm
Comment 11 Roy Rankin 2011-06-27 07:14:24 EDT
Created attachment 510073 [details]
modified patch so osm2pgsql finds default.style
Comment 12 Roy Rankin 2011-06-27 07:15:23 EDT
Fabian,

Under F15 mock still fails to build for me. Try
   1> backout the latest patch
   2> add BuildRequires:  automake

Also if you add "BuildRequires:  protobuf-c-devel" the program will be able to process .pbf files.

Finally there is an upstream OSM Ticket #3457 "default.style location" which should be fixed with the attached modified osm2pgsql-makefile.patch file.

These changes should allow me to start the review process.
Comment 13 Roy Rankin 2011-07-01 19:23:40 EDT
Also add "BuildRequires:  libtool"
Comment 14 Fabian Affolter 2011-07-02 05:38:32 EDT
Thanks Roy. 

For me it doesn't work on Fedora 15 with the latest svn checkout...
./configure: line 4450: `$as_echo "$as_me: WARNING: Libtool does not cope well with whitespace in \`pwd\`" >&2;} ;;'
Comment 15 Jon Burgess 2011-07-02 08:58:35 EDT
The configure error above seems to be triggered by this change in osm2pgsql-configure.patch:

 dnl Make sure we have libtool installed
-AM_PROG_LIBTOOL
+m4_pattern_allow(AM_PROG_LIBTOOL)

I guess this was done to workaround libtool not being available? Adding it as a build requirement sounds like the correct thing to do instead.
Comment 16 Fabian Affolter 2011-09-10 18:23:15 EDT
This issue occurs with an unpatched configure.ac too.

As reference: http://trac.openstreetmap.org/ticket/3878
Comment 17 Mark 2012-03-11 14:08:33 EDT
is anyone still working on this?
Comment 18 Roy Rankin 2012-03-18 19:38:56 EDT
I do not see the issue that Fabian sees. With the last patch to osm2pgsql-configure.patch removed and "BuildRequires:  libtool" the package built for my both in mock and on a development system with required dependencies.

I have done a pre-review and could quickly approve the package when Fabian provides a package content that builds.
Comment 19 Fabian Affolter 2012-04-14 06:37:07 EDT
I reworked the patch to remove the gazetteer stuff. Now I able to build this package again. 

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/osm2pgsql.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/osm2pgsql-0.70.5-0.8.20120413svn.fc16.src.rpm
Comment 20 Mario Blättermann 2012-09-12 16:08:47 EDT
(In reply to comment #18)
> I have done a pre-review and could quickly approve the package when Fabian
> provides a package content that builds.

Scratch build with the latest srpm:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4478929

One more issue: If you don't want to provide it for EPEL 5, please remove the obsolete parts (BuildRoot, initial cleaning in %install, %clean, %defattr).
Comment 21 Fabian Affolter 2012-10-07 06:37:32 EDT
I think that is makes sense if this packages goes to EPEL as well.
Comment 22 Mario Blättermann 2012-10-07 06:45:30 EDT
I take this over, because the last response from the current assignee was more than half a year ago.
Comment 23 Mario Blättermann 2012-10-13 13:13:22 EDT
It builds in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4587622

> $ rpmlint -i -v *
> osm2pgsql.src: I: checking
> osm2pgsql.src: W: spelling-error %description -l en_US geospatial -> spatial
> The value of this tag appears to be misspelled. Please double-check.

> osm2pgsql.src: I: checking-url http://wiki.openstreetmap.org/wiki/Osm2pgsql (timeout 10 seconds)
> osm2pgsql.src: W: strange-permission osm2pgsql-svn.sh 0775L
> A file that you listed to include in your package has strange permissions.
> Usually, a file should have 0644 permissions.

Please change the permissions. The script itself is not needed anyway to build the package.

> osm2pgsql.src: W: invalid-url Source0: osm2pgsql-20120413svn.tar.bz2
> The value should be a valid, public HTTP, HTTPS, or FTP URL.

False positive for a SVN checkout.

> osm2pgsql.i686: I: checking
> osm2pgsql.i686: W: spelling-error %description -l en_US geospatial -> spatial
> The value of this tag appears to be misspelled. Please double-check.

> osm2pgsql.i686: W: incoherent-version-in-changelog 0.70.5-0.8.-20120413svn ['0.70.5-0.8.20120413svn.fc19', '0.70.5-0.8.20120413svn']
> The latest entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

See http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

> osm2pgsql.i686: I: checking-url http://wiki.openstreetmap.org/wiki/Osm2pgsql (timeout 10 seconds)
> osm2pgsql.x86_64: I: checking
> osm2pgsql.x86_64: W: spelling-error %description -l en_US geospatial -> spatial
> The value of this tag appears to be misspelled. Please double-check.

> osm2pgsql.x86_64: W: incoherent-version-in-changelog 0.70.5-0.8.-20120413svn ['0.70.5-0.8.20120413svn.fc19', '0.70.5-0.8.20120413svn']
> The latest entry in %changelog contains a version identifier that is not
coherent with the epoch:version-release tuple of the package.

See above.

> osm2pgsql.x86_64: I: checking-url http://wiki.openstreetmap.org/wiki/Osm2pgsql (timeout 10 seconds)
> osm2pgsql-debuginfo.i686: I: checking
> osm2pgsql-debuginfo.i686: I: checking-url http://wiki.openstreetmap.org/wiki/Osm2pgsql (timeout 10 seconds)
> osm2pgsql-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/osm2pgsql/rb.c
> The Free Software Foundation address in this file seems to be outdated or
> misspelled.  Ask upstream to update the address, or if this is a license file,
> possibly the entire file with a new copy available from the FSF.

All you have to do is inform upstream about this issue.

> osm2pgsql-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/osm2pgsql/rb.h
> The Free Software Foundation address in this file seems to be outdated or
> misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

> osm2pgsql-debuginfo.x86_64: I: checking
> osm2pgsql-debuginfo.x86_64: I: checking-url http://wiki.openstreetmap.org/wiki/Osm2pgsql (timeout 10 seconds)
> osm2pgsql-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/osm2pgsql/rb.c
> The Free Software Foundation address in this file seems to be outdated or
> misspelled.  Ask upstream to update the address, or if this is a license file,
> possibly the entire file with a new copy available from the FSF.

> osm2pgsql-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/osm2pgsql/rb.h
> The Free Software Foundation address in this file seems to be outdated or
> misspelled.  Ask upstream to update the address, or if this is a license file,
> possibly the entire file with a new copy available from the FSF.

> osm2pgsql.spec: W: invalid-url Source0: osm2pgsql-20120413svn.tar.bz2
> The value should be a valid, public HTTP, HTTPS, or FTP URL.

> 5 packages and 1 specfiles checked; 4 errors, 8 warnings.
Comment 24 Fabian Affolter 2012-10-21 11:59:50 EDT
(In reply to comment #23)
> > osm2pgsql.src: W: strange-permission osm2pgsql-svn.sh 0775L
> > A file that you listed to include in your package has strange permissions.
> > Usually, a file should have 0644 permissions.
> 
> Please change the permissions. The script itself is not needed anyway to
> build the package.

Fixed.

> > osm2pgsql.i686: I: checking
> > osm2pgsql.i686: W: spelling-error %description -l en_US geospatial -> spatial
> > The value of this tag appears to be misspelled. Please double-check.
> 
> > osm2pgsql.i686: W: incoherent-version-in-changelog 0.70.5-0.8.-20120413svn ['0.70.5-0.8.20120413svn.fc19', '0.70.5-0.8.20120413svn']
> > The latest entry in %changelog contains a version identifier that is not
> coherent with the epoch:version-release tuple of the package.
> 
> See
> http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Snapshot_packages

Typo fixed

> > osm2pgsql.x86_64: I: checking-url http://wiki.openstreetmap.org/wiki/Osm2pgsql (timeout 10 seconds)
> > osm2pgsql-debuginfo.i686: I: checking
> > osm2pgsql-debuginfo.i686: I: checking-url http://wiki.openstreetmap.org/wiki/Osm2pgsql (timeout 10 seconds)
> > osm2pgsql-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/osm2pgsql/rb.c
> > The Free Software Foundation address in this file seems to be outdated or
> > misspelled.  Ask upstream to update the address, or if this is a license file,
> > possibly the entire file with a new copy available from the FSF.
> 
> All you have to do is inform upstream about this issue.

https://trac.openstreetmap.org/ticket/4643

Changelog:
* Sun Oct 21 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.70.5-0.9.20121021svn
- Updated to new svn checkout from 2012-10-21
- gazetteer was removed
- nodecachefilereader included
- Minor changes

Updated files:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/osm2pgsql.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/osm2pgsql-0.70.5-0.9.20121021svn.fc17.src.rpm

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4612761

rpmlint output:
[fab@laptop11 SRPMS]$ rpmlint osm2pgsql-0.70.5-0.9.20121021svn.fc17.src.rpm 
osm2pgsql.src: W: spelling-error %description -l en_US geospatial -> spatial
osm2pgsql.src: W: invalid-url Source0: osm2pgsql-20121021svn.tar.bz2
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

[fab@laptop11 x86_64]$ rpmlint osm2pgsql-*
osm2pgsql.x86_64: W: spelling-error %description -l en_US geospatial -> spatial
osm2pgsql.x86_64: W: no-manual-page-for-binary nodecachefilereader
osm2pgsql-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/osm2pgsql/rb.c
osm2pgsql-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/osm2pgsql/rb.h
2 packages and 0 specfiles checked; 2 errors, 2 warnings.
Comment 25 Mario Blättermann 2012-10-21 14:04:25 EDT
$ rpmlint -i -v *
osm2pgsql.src: I: checking
osm2pgsql.src: W: spelling-error %description -l en_US geospatial -> spatial
The value of this tag appears to be misspelled. Please double-check.

osm2pgsql.src: I: checking-url http://wiki.openstreetmap.org/wiki/Osm2pgsql (timeout 10 seconds)
osm2pgsql.src: W: invalid-url Source0: osm2pgsql-20121021svn.tar.bz2
The value should be a valid, public HTTP, HTTPS, or FTP URL.

osm2pgsql.i686: I: checking
osm2pgsql.i686: W: spelling-error %description -l en_US geospatial -> spatial
The value of this tag appears to be misspelled. Please double-check.

osm2pgsql.i686: I: checking-url http://wiki.openstreetmap.org/wiki/Osm2pgsql (timeout 10 seconds)
osm2pgsql.i686: W: no-manual-page-for-binary nodecachefilereader
Each executable in standard binary directories should have a man page.

osm2pgsql.x86_64: I: checking
osm2pgsql.x86_64: W: spelling-error %description -l en_US geospatial -> spatial
The value of this tag appears to be misspelled. Please double-check.

osm2pgsql.x86_64: I: checking-url http://wiki.openstreetmap.org/wiki/Osm2pgsql (timeout 10 seconds)
osm2pgsql.x86_64: W: no-manual-page-for-binary nodecachefilereader
Each executable in standard binary directories should have a man page.

osm2pgsql-debuginfo.i686: I: checking
osm2pgsql-debuginfo.i686: I: checking-url http://wiki.openstreetmap.org/wiki/Osm2pgsql (timeout 10 seconds)
osm2pgsql-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/osm2pgsql/rb.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

osm2pgsql-debuginfo.i686: E: incorrect-fsf-address /usr/src/debug/osm2pgsql/rb.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

osm2pgsql-debuginfo.x86_64: I: checking
osm2pgsql-debuginfo.x86_64: I: checking-url http://wiki.openstreetmap.org/wiki/Osm2pgsql (timeout 10 seconds)
osm2pgsql-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/osm2pgsql/rb.c
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

osm2pgsql-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/osm2pgsql/rb.h
The Free Software Foundation address in this file seems to be outdated or
misspelled.  Ask upstream to update the address, or if this is a license file,
possibly the entire file with a new copy available from the FSF.

osm2pgsql.spec: W: invalid-url Source0: osm2pgsql-20121021svn.tar.bz2
The value should be a valid, public HTTP, HTTPS, or FTP URL.

5 packages and 1 specfiles checked; 4 errors, 7 warnings.

No recognizable issues.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPLv2+
[+] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[.] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    b3e0d921cb0221eee846e5a14c4591a9bfafb65e3beca7cfe2843e497ec1d2f4  osm2pgsql-20121021svn.tar.bz2
    1d1eda906b9846daeeefab6eb7cb5e07aff2c5a30412b9fa73e7170387e37c73  osm2pgsql-20121021svn.tar.bz2.packaged

No matter, common problem with VCS checkouts.

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------
Comment 26 Fabian Affolter 2012-10-21 15:22:38 EDT
Thanks for the review, Mario.
Comment 27 Fabian Affolter 2012-10-21 15:23:08 EDT
New Package SCM Request
=======================
Package Name: osm2pgsql
Short Description: Imports map data from OpenStreetMap to a PostgreSQL database
Owners: fab
Branches: f17 f18 el6
InitialCC:
Comment 28 Jon Ciesla 2012-10-22 08:01:39 EDT
Git done (by process-git-requests).
Comment 29 Fedora Update System 2012-10-26 15:56:03 EDT
osm2pgsql-0.70.5-0.9.20121021svn.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/osm2pgsql-0.70.5-0.9.20121021svn.fc17
Comment 30 Fedora Update System 2012-10-26 15:56:23 EDT
osm2pgsql-0.70.5-0.9.20121021svn.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/osm2pgsql-0.70.5-0.9.20121021svn.fc18
Comment 31 Fedora Update System 2012-10-27 21:01:27 EDT
osm2pgsql-0.70.5-0.9.20121021svn.fc17 has been pushed to the Fedora 17 testing repository.
Comment 32 Mario Blättermann 2012-11-18 16:45:34 EST
Packages have been marked as stable. I'll close this review request now.

Note You need to log in before you can comment on or make changes to this bug.